Levain LabsLevain Labs
ApiPrivacy

List Requests

List the workspace's privacy requests, newest first.

List the workspace's privacy requests, newest first.

Covers platform-initiated requests (e.g. Shopify GDPR webhooks) and erasures created through this API.

GET
/api/v1/privacy/requests

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

X-API-Key?string|null

Response Body

application/json

application/json

curl -X GET "https://api.levainlabs.com/api/v1/privacy/requests"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "platform": "string",
      "topic": "string",
      "external_account_id": "string",
      "subject_id": "string",
      "status": "string",
      "received_at": "2019-08-24T14:15:22Z",
      "due_at": "2019-08-24T14:15:22Z",
      "completed_at": "2019-08-24T14:15:22Z",
      "rows_deleted": 0
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}